Bug 1845711 - Elasticsearch upgrade from 4.4 to 4.5 fails because of disabled transient shard allocation
Summary: Elasticsearch upgrade from 4.4 to 4.5 fails because of disabled transient sha...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.6.0
Assignee: Jeff Cantrill
QA Contact: Qiaoling Tang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-09 20:54 UTC by Jeff Cantrill
Modified: 2020-10-27 16:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:06:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift elasticsearch-operator pull 388 0 None closed Bug 1845711: Clear transient shard allocation setting before upgrade 2021-02-09 23:59:09 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:06:19 UTC

Description Jeff Cantrill 2020-06-09 20:54:48 UTC
Description of problem:

Unable to complete upgrade because the security shard is not able to be allocated due to transient shard allocation setting:

"explanation" : "no allocations are allowed due to cluster setting [cluster.routing.allocation.enable=none]"

Comment 3 Anping Li 2020-06-11 13:50:07 UTC
Blocked by an OLM bug https://bugzilla.redhat.com/show_bug.cgi?id=1846316 when upgrading from Logging 4.4  to 4.5 on OCP 4.5.  I am trying to see if we can overcome it by an OCP 4.4 to 4.5 cluster upgrade.

Comment 4 Qiaoling Tang 2020-06-15 03:10:03 UTC
$ oc exec elasticsearch-cdm-vx0f1dvs-1-76ddbb85b4-nvd4j  -- es_util --query=_cluster/settings |jq
Defaulting container name to elasticsearch.
Use 'oc describe pod/elasticsearch-cdm-vx0f1dvs-1-76ddbb85b4-nvd4j -n openshift-logging' to see all of the containers in this pod.
{
  "persistent": {
    "cluster": {
      "routing": {
        "allocation": {
          "enable": "all"
        }
      }
    },
    "discovery": {
      "zen": {
        "minimum_master_nodes": "2"
      }
    }
  },
  "transient": {}
}


Verified with quay.io/openshift/origin-elasticsearch-operator@sha256:65dfb97c1b787f53860455fbc6595a6b3211e30b564e04b84dde70ab125aa00d.

Comment 6 errata-xmlrpc 2020-10-27 16:06:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.